Module ij
Package ij.macro

# Class StartupRunner

java.lang.Object
ij.macro.StartupRunner

All Implemented Interfaces:
  `Runnable`

public class StartupRunner extends Object implements Runnable
Runs the RunAtStartup (created by Edit/Options/Startup) and AutoRun (in StartupMacros) macros.

## Constructor Summary

Constructors
Constructor
Description
`StartupRunner()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`void`
`run(boolean batchMode)`
Runs the RunAtStartup and AutoRun macros, on the current thread if 'batchMode' true, otherwise on a separate thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StartupRunner

public StartupRunner()

## Method Details

### run

public void run(boolean batchMode)
Runs the RunAtStartup and AutoRun macros, on the current thread if 'batchMode' true, otherwise on a separate thread.

### run

public void run()

Specified by:
  `run` in interface `Runnable`